
rem set echo off
set serveroutput on size 4000;

spool logfile.txt

prompt**************************************************************************
prompt  This script will import the X100 schema exported from old X100 database. 
prompt  Observer that all data in the existing X100 schema will be lost.       
prompt
prompt  The import file must be named X100-expdp.dmp
prompt  and placed here: C:\oraclexe\app\oracle\admin\XE\dpdump       
prompt  Press Ctrl-C if you want to abort the script now.                      
prompt**************************************************************************


accept computername char prompt 'Press any key to continue or Ctrl-C to abort > '

whenever sqlerror exit 1 

prompt
prompt Connect as the System User system@localhost:1521/xe
prompt
connect system/administrator@localhost:1521/xe
prompt

declare
  tablespaceexist integer;
  version_error 		EXCEPTION;
  PRAGMA EXCEPTION_INIT (version_error, -20013);
begin
  select count(*) into tablespaceexist from dba_tablespaces where tablespace_name='BIACORE_X100';
  if tablespaceexist = 0 then
        RAISE version_error;
  end if;
EXCEPTION
  WHEN version_error
  THEN
        DBMS_OUTPUT.put_line ('Tablespace BIACORE_X100 does not exist');
        RAISE;
  WHEN OTHERS
  THEN
        RAISE;
end;
/


declare
  userexist integer;
begin
  select count(*) into userexist from dba_users where username='X100';
  if (userexist > 0) then
        DBMS_OUTPUT.put_line ('drop user X100 CASCADE');
	EXECUTE IMMEDIATE 'drop user X100 CASCADE';
  end if;
end;
/

spool logfile.txt APP

EXIT





